<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Grid demo</title>
    <style>
        *{
            margin: 0;
            padding: 0;
            font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
        }
        html, body{
            width: 100%;
            height: 100%;
        }
        #container{
            width: 100%;
            height: 100%;
            display: grid;
            grid-template-columns: 80px 1fr 4fr 1fr 190px;
            grid-template-rows: 120px auto 150px;
            grid-template-areas: 
                ". header header header ."
                ". left-menu main-content right-box ."
                ". left-menu footer-left footer-right ."
            ;
        }
        #container>div{
            border: 1px solid purple;
            display: flex;
            justify-content: center;
            align-items: center;
        }
        #div1{
            /* grid-column: 1 / 4; */
            grid-area: header;
        }
        #div2{
            /* grid-row-start: 2;
            grid-row-end: 4; */
            grid-area: left-menu;
        }
        #div3{
            grid-area: footer-left;
        }
        #div4{
            grid-area: footer-right;
        }
        #div5{
            grid-area: main-content;
        }
        #div6{
            grid-area: right-box;
        }
</style>

</head>
<body>
    <div id="container">
        <div id="div1">div1</div>
        <div id="div2">div2</div>
        <div id="div3">div3</div>
        <div id="div4">div4</div>
        <div id="div5">div5</div>
        <div id="div6">div6</div>
    </div>
</body>
</html>